import { OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { AmChartsService } from '@amcharts/amcharts3-angular';
import { PieChartService } from './pie.service';
export declare class PieComponent implements OnChanges, OnInit, OnDestroy {
    private AmCharts;
    private chartService;
    private chart;
    private element;
    private makeChart;
    private chartData;
    chartWith: number;
    chartHeight: number;
    constructor(AmCharts: AmChartsService, chartService: PieChartService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
